<tool id="tbss" description="Tract-Based Spatial Statistics" name="tbss" version="1.0">
  <authors>
    <author name="Yaron Caspi" />
  </authors>
  <command version="6.0.1" >
    <authors>
      <author name="Yaron Caspi" url="http://a.b/c" />
    </authors>
   <targets>
		<target os="linux" arch="*" interpreter="python" paths="bin/" bin="tbss.py">
			<modules>
				<module> fsl/6.0.1  </module>
			</modules>
		</target>	
    </targets>
    <description>
       tbss - Tract-Based Spatial Statistics using tbss programs of FSL.
    </description>
  </command>
  <interface>
  	 <inputs>
		<input id="Input_Files" name="Input File" required="true" datatype="NiftiImageFile" prefix="-Input_Files"  order="5" cardinality="1-*"/> 
		<input id="tbss_2_reg_options" name="Options for tbss_2_reg" required="false" prefix="-tbss_2_reg_options" order="1" cardinality="1">
			<enum>-T</enum>
			<enum>-t</enum>
			<enum>-n</enum>
		</input>
		<input id="tbss_2_reg_target" name="target for tbss_2_reg" required="false" prefix="-tbss_2_reg_target" datatype="NiftiImageFile" order="2" cardinality="1"/>
		<input id="tbss_3_postreg_options" name="Options for tbss_3_postreg" required="false" prefix="-tbss_3_postreg_options" order="3" cardinality="1">
			<enum>-T</enum>
			<enum>-S</enum>
		</input>
		<input id="tbss_4_prestat_treshold" name="Threshold for tbss_4_prestat" required="false" prefix="-tbss_4_prestat_treshold" datatype="Float" order="4" cardinality="1"/>
	</inputs>
    <outputs>
		<output id="Out_Directory" name="Directory with the Output Files" datatype="Directory" prefix="-Out_Directory" order="6" action="ensure" required="true"/>
		 <output id="mean_FA_skeleton_Mask" name="Mean FA Skeleton Mask File" required="true" automatic="true" datatype="NiftiImageFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/mean_FA_skeleton_mask.nii.gz"/>
		<output id="mean_FA_skeleton" name="Mean FA Skeleton File" required="false" automatic="true" datatype="NiftiImageFile"  
				method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/mean_FA_skeleton.nii.gz"/>
		<output id="mean_FA" name="Mean FA File" required="true" automatic="true" datatype="NiftiImageFile" 
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/mean_FA.nii.gz"/>
		<output id="all_FA" name="FA File" required="true" automatic="true" datatype="NiftiImageFile"  
				method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/all_FA.nii.gz"/>
		<output id="all_FA_skeletonised" name="FA Skeleton" required="true" automatic="true" datatype="NiftiImageFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/all_FA_skeletonised.nii.gz"/>
		<output id="FA_Wrap" name="FA Wrap" required="true" automatic="true" datatype="NiftiImageFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/FA/(.+?)_FA_to_target_warp.nii.gz"/>
		<output id="best_File" name="best File" required="true" automatic="true" datatype="MsfFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/FA/best.msf"/>
		<output id="mean_FA_Mask" name="mean FA Mask" required="true" automatic="true" datatype="NiftiImageFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/mean_FA_mask.nii.gz"/>
		<output id="Stat_Directory" name="Stat Directory" required="true" automatic="true" datatype="Directory"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats"/>
		<output id="mean_FA_skeleton_mask_dst" name="mean_FA_skeleton_mask_dst" required="true" automatic="true" datatype="NiftiImageFile"
                                method="path" cardinality="1" location="{output.Out_Directory[0]}/stats/mean_FA_skeleton_mask_dst.nii.gz"/>
    </outputs>
  </interface>
  <help>
	TBSS_1_PREPROC
  
	Usage: tbss_1_preproc {image1} {image2} ...
  
	TBSS_2_REG

	Usage: tbss_2_reg [options]

	Target-selection options - choose ONE of:
	 -T            : use FMRIB58_FA_1mm as target for nonlinear registrations (recommended)
	 -t {target}   : use {target} image as target for nonlinear registrations
	 -n            : find best target from all images in FA

	TBSS_3_POSTREG
	
	Usage: tbss_3_postreg [options]

	Choose ONE of:
	 -S   : derive mean_FA and mean_FA_skeleton from mean of all subjects in study (recommended)
	 -T   : use FMRIB58_FA and its skeleton instead of study-derived mean and skeleton
	 
	TBSS_4_PRESTATS
	 
	Usage: tbss_4_prestats {threshold}

	The normal recommendation for {threshold} is 0.2
  </help>
</tool>
